Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.smartcardio
Class JCSCardTerminals

    java.lang.Object
      javax.smartcardio.CardTerminals
          com.licel.jcardsim.smartcardio.JCSCardTerminals

    public class JCSCardTerminals

extends javax.smartcardio.CardTerminals

CardTerminals implementation class.

Nested Class Summary

Nested classes/interfaces inherited from class javax.smartcardio.CardTerminals
`javax.smartcardio.CardTerminals.State`

Constructor Summary
`JCSCardTerminals()`

Method Summary
`List` | `list(javax.smartcardio.CardTerminals.State state)` Returns only one terminal with state ALL|CARD_PRESENT|CARD_INSERTION, in other case returns empty list.
`boolean` | `waitForChange(long l)` Immediately returns true

Methods inherited from class javax.smartcardio.CardTerminals
`getTerminal, list, waitForChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCSCardTerminals

    public JCSCardTerminals()

Method Detail

### list

    public List list(javax.smartcardio.CardTerminals.State state)
              throws javax.smartcardio.CardException

  Returns only one terminal with state ALL|CARD_PRESENT|CARD_INSERTION, in other case returns empty list.

  Specified by:
    `list` in class `javax.smartcardio.CardTerminals`
  Throws:
    `javax.smartcardio.CardException`

### waitForChange

    public boolean waitForChange(long l)
                          throws javax.smartcardio.CardException

  Immediately returns true

  Specified by:
    `waitForChange` in class `javax.smartcardio.CardTerminals`
  Throws:
    `javax.smartcardio.CardException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD